Subject: Re: [PATCH 1/5] drm/omap: Fix suspend resume regression after platform data removal

From: Tony Lindgren <[email-masked]>
Date: Tue, 16 Jun 2020 08:30:42 -0700

* Tomi Valkeinen <[email-masked]> [200616 13:02]:
> On 11/06/2020 17:00, Grygorii Strashko wrote:
> > I think, suspend might be fixed if all devices, which are now child of ti-sysc, will do
> > pm_runtime_force_xxx() calls at noirq suspend stage by adding:
> > 
> >      SET_NOIRQ_SYSTEM_SLEEP_PM_OPS(pm_runtime_force_suspend,
> >                        pm_runtime_force_resume)
> > 
> > Am I missing smth?
> 
> Isn't this almost exactly the same my patch does? I just used suspend_late
> and resume_early. Is noirq phase better than late & early?

Well up to you as far as I'm concerned. The noirq phase comes with serious
limitations, for let's say i2c bus usage if needed. Probably also harder
to debug for suspend and resume.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel